# Model Configuration
model.name:
  value: UnetPanoptic
model.params.in_channels:
  value: 3
model.params.num_classes:
  value: 9
model.params.lambda_smooth_l1:  
  value: 1000

# Post-Processing Distance Maps
model.params.post_pro.th_cell:
  value: 0.09
model.params.post_pro.th_seed:
  value: 0.37
model.params.post_pro.sigma_cell:
  value: 1.00
model.params.post_pro.do_splitting:
  value: true
model.params.post_pro.do_area_based_filtering:
  value: true
model.params.post_pro.do_fill_holes:
  value: true
model.params.post_pro.valid_area_median_factors:
  value: [0.1,10]
  type: list

# Optimizer
model.optimizer.type:
  value: Adam
model.optimizer.params.lr:
  value: 0.001
# LR Scheduler
model.optimizer.lrs.type:
  value: ReduceLROnPlateau
model.optimizer.lrs.params.factor:
  value: 0.5
model.optimizer.lrs.params.patience:
  value: 20
model.optimizer.lrs.params.verbose:
  value: false
model.optimizer.lrs.params.cooldown:
  value: 0
model.optimizer.lrs.params.min_lr:
  value: 0.00001

# Trainer Configuration
train.trainer.max_epochs:
  value: 30
train.trainer.gpus:
  value: 1

data.img_processing.norm_type:
  value: per_channel_min_max
data.img_processing.img_type:
  value: rgb_8_bit

data.img_processing.img_size:
  value: [512,512]

train.callbacks.early_stopping_enabled:
  value: true
train.callbacks.early_stopping_patience:
  value: 30